#include "keymap_common.h"

const uint8_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /* 0: qwerty */
    KEYMAP(
        GRV, 1,   2,   3,   4,   5,   6,   7,   8,   9,   0,   MINS, EQL, BSPC,       ESC, \
        TAB, Q,   W,   E,   R,   T,   Y,   U,   I,   O,   P,   LBRC, RBRC,      BSLS, DEL, \
        CAPS, A,   S,   D,   F,   G,   H,   J,   K,   L,   SCLN, QUOT,           ENT,  PGUP, \
        LSFT, Z,   X,   C,   V,   B,   N,   M,   COMM, DOT, SLSH,          RSFT,  UP,   PGDN, \
        LCTL, LGUI, LALT,          SPC,                     RALT, FN0, RCTL, LEFT, DOWN, RIGHT),
		
	/* 1: FN 1*/
    KEYMAP(
        MUTE, F1,   F2,   F3,   F4,   F5,   F6,  F7,  F8,   F9,   F10, F11, F12,  TRNS, TRNS, \
        TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, HOME, INS, TRNS, \
        TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, PAUS, END,TRNS,  VOLU, \
        TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS,   VOLD, \
        TRNS, TRNS, TRNS,          TRNS,                     PSCR, TRNS, SLCK, TRNS, TRNS, TRNS),
    /* 2: FN 2*/
    KEYMAP(
        TRNS, 1,   2,   3,   4,   5,   6,   7,   8,   9,   0,   TRNS, TRNS, TRNS, TRNS, \
        TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, 4, 5, 6, TRNS, TRNS, TRNS, TRNS, TRNS, \
        TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, 1, 2, 3, TRNS, TRNS, ENT, TRNS, \
        TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, 0, DOT, TRNS, TRNS, TRNS,TRNS, TRNS, \
        TRNS,T RNS, TRNS,          TRNS,                     TRNS, TRNS, TRNS, TRNS, TRNS, TRNS),
	
	
};
const uint16_t PROGMEM fn_actions[] = {
    /* Poker Layout */
    [0] = ACTION_LAYER_MOMENTARY(1),  // to Fn overlay
    [1] = ACTION_LAYER_TOGGLE(2),     // Togle Numpad
    
};
